###

###

###

###

###

###

###

    FFLUSH(3)           Linux Programmer's Manual           FFLUSH(3)

    NAME
           fflush, fpurge - flush a stream

    SYNOPSIS
           #include <stdio.h>

           int fflush( FILE *stream);
           int fpurge( FILE *stream);

    DESCRIPTION
           The  function  fflush  forces a write of all buffered data
           for the given output or update  stream  via  the  stream's
           underlying  write function.  The open status of the stream
           is unaffected.

           If the stream argument is NULL, fflush  flushes  all  open
           output streams. (Does this happen under Linux)

           The function fpurge erases any input or output buffered in
           the given stream.  For output streams  this  discards  any
           unwritten  output.   For  input  streams this discards any
           input read from the underlying object but not yet obtained
           via  getc(3);  this  includes  any  text  pushed  back via
           ungetc.

    RETURN VALUES
           Upon successful completion 0 is returned.  Otherwise,  EOF
           is  returned and the global variable errno is set to indi-
           cate the error.

    ERRORS
           EBADF  Stream is not an open stream, or, in  the  case  of
                  fflush, not a stream open for writing.

           The function fflush may also fail and set errno for any of
           the errors specified for the routine write(2).

    BUGS
           Linux may not support fpurge.

### SEE ALSO

write, fopen, fclose, setbuf,

###

###

    STANDARDS
           The fflush function conforms to ANSI  C3.159-1989  (``ANSI
           C'').

    BSD MANPAGE              29 November 1993                       1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0